package de.jg_cody.Teraplex.ui.zeitsteuerung;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import android.widget.TimePicker;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;
import androidx.lifecycle.Observer;
import androidx.lifecycle.ViewModelProvider;

import de.jg_cody.Teraplex.R;

public class ZeitsteuerungFragment extends Fragment {

    private ZeitsteuerungViewModel zeitsteuerungViewModel;
    TimePicker timePicker;

    public View onCreateView(@NonNull LayoutInflater inflater,
                             ViewGroup container, Bundle savedInstanceState) {
        zeitsteuerungViewModel =
                new ViewModelProvider(this).get(ZeitsteuerungViewModel.class);
        View root = inflater.inflate(R.layout.fragment_zeitsteuerung, container, false);
        final TextView textView = root.findViewById(R.id.text_zeitsteuerung);
        zeitsteuerungViewModel.getText().observe(getViewLifecycleOwner(), new Observer<String>() {
            @Override
            public void onChanged(@Nullable String s) {
                textView.setText(s);
            }
        });
        TimePicker timePicker = (TimePicker) root.findViewById(R.id.timePicker);
        timePicker.setIs24HourView(true);
        return root;
    }
}